Bug 99770 - Ability to set exception breakpoint
Ability to set exception breakpoint
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Debugger
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Martin Krauskopf
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-03 10:03 UTC by Martin Krauskopf
Modified: 2008-05-19 07:37 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Krauskopf 2007-04-03 10:03:35 UTC
Missing feature.
Comment 1 Jiri Kovalsky 2007-07-03 14:02:23 UTC
Reassigning this issue to newly created 'ruby' component.
Comment 2 richo 2008-02-08 00:11:21 UTC
Should be able to define a list of exceptions that the debugger won't break on. 

When an exception does cause a break condition would be good to have the option to easily add that exception to the
"don't break" list and continue program execution.
Comment 3 Martin Krauskopf 2008-02-14 12:12:58 UTC
After evaluation, postponing this after 6.1, when I want to do overhaul in the debug-commons project and to catch up at
least a little bit furiously evolving ruby-debug project.
To much works in other area which has higher priority into 6.1, sorry.
Comment 4 Martin Krauskopf 2008-05-16 15:18:56 UTC
Working on it among layers.... STARTED
Comment 5 Martin Krauskopf 2008-05-19 07:37:11 UTC
Committed into the trunk: 3d1396b1ec51, 0ca2f22b0698

Commit message:
- Support for exception breakpoints
- s/RubyBreakpoint/RubyLineBreakpoint
- RubyBreakpoint is now a base class for breakpoints
- updated to debug-commons-java with such support
- needs yet unreleased ruby-debug-ide and jruby-debug-base
  (will officially release with JRuby 1.1.2)

Needs some tweaks, like breakpoint persistence. Will be tuned soon.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo